Dash Core through 0.14.0.3 Cross-Site Request Forgery (CSRF) Vulnerability

Summary

An issue was discovered in Decentralized Anonymous Payment System (DAPS) through 2019-08-26. It is possible to force wallets to send HTTP requests to arbitrary locations, both on the local network and on the internet. 

Credit:

The information has been provided by Vendor

The original article can be found at:https://officialdapscoin.com/wp-content/uploads/2019/09/DAPS-Coin-Final-Security-Audit-Red4Sec-2019.pdf


Details

This is a serious threat to user privacy, since it can possibly leak their IP address and the fact that they are using the product. This also affects Dash Core through 0.14.0.3 and Private Instant Verified Transactions (PIVX) through 3.4.0.

 

Vulnerable Systems:

Dash Core through 0.14.0.3 

Private Instant Verified Transactions (PIVX) through 3.4.0

 

CVE Information:

CVE-2019-16752

 

Disclosure Timeline:
Published Date:12/4/2019

Categories: News